# coding: utf-8

from procu.rest import serializers


class ReplySerializer(serializers.Serializer):
    from_email = serializers.CharField(required=True, allow_blank=True)
    action = serializers.CharField(required=True, allow_blank=True)
    token = serializers.CharField(required=True, allow_blank=True)
    text = serializers.CharField(required=True, allow_blank=True)
    subject = serializers.CharField(required=True)
    text_cut = serializers.CharField(required=True, allow_blank=True)
    enquiries = serializers.CharField(required=True, allow_blank=True)
    unique = serializers.RegexField(r'[a-z]+', required=True, allow_blank=False)
